::selection {
    color: #ffffff;
    background-color: $primary;
}


/******************************
	Global
*******************************/

html,
body {
    max-width: 100%;
    overflow-x: hidden;
}

body {
    font-family: "Circular Std";
    font-weight: normal;
    letter-spacing: 0.5px;
}

@include media-breakpoint-down(sm) {
    .container {
        padding: 0 24px;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Circular Std";
}

h1 {
    line-height: 1.2;
}

span,
div {
    font-family: 'Circular Std';
    font-weight: 400;
    @include font-size(1rem);
}

p {
    font-family: 'titillium_webregular';
}

.titilumregular {
    font-family: 'titillium_webregular';
}

.titilumsemibold {
    font-family: 'titillium_websemibold';
}

.titilumbold {
    font-family: 'titillium_webbold';
}

.titilumblack {
    font-family: 'titillium_webblack';
}

hr {
    border-width: 3px;
}

.text-tokio-black {
    color: $tokio_black;
}

.text-tokio-dark {
    color: $tokio_grey;
}

.text-tokio-lightgrey {
    color: #ECECEC;
}

.fs-20 {
    font-size: 20px;
}

.fs-14 {
    font-size: 14px;
}


/******************************
	Topbars
*******************************/

.topbar.topbar-first {}

.topbar.topbar-second {
    color: $tokio_black;
    a:hover {
        text-decoration: none;
    }
    .topbar-separator {
        color: #1C233D;
        opacity: 0.2;
        margin-left: 16px;
        margin-right: 16px;
    }
    .icon-person {
        position: relative;
        bottom: 1px;
        margin-right: 5px;
    }
    .icon-phone {
        position: relative;
        bottom: 2px;
    }
}


/******************************
	Navbar
*******************************/

.navbar>div img {
    max-width: 120px;
    height: auto;
}

.navbar-toggler {
    color: $primary !important;
    border: none;
    font-size: 1.2rem;
}

.navbar {
    .icon-search {
        position: relative;
        bottom: 1px;
        margin-right: 5px;
    }
    #menu-header-menu {
        .menu-item {
            position: relative;
            padding: 0 8px;
            span {
                font-weight: 500;
            }
            /*&:after {
			 	content: '';
			 	width: 0px;
			 	height: 5px;
			 	border-bottom: 2px solid #04219C;
			 	left: 50%;
			 	transform: translateX(-50%);
			 	position: absolute;
			 	transition: width 0.2s ease-out;
			 }
			 &:hover {
			 	&:after {
			 		width: 40px;
			 		transition: width 0.2s ease-out;
			 	}
			 }
			 &.active {
			 	font-weight: 900;
			 	position: relative;
			 	&:after {
			 		content: '';
			 		width: 40px;
			 	}
			 }*/
        }
        .menu-descubre {
            margin-top: 26px;
            padding: 50px 0 10px;
            a {
                color: $primary;
            }
            .fas {
                margin-left: 20px;
            }
            border-top: 2px solid #F6F6F6;
            &:before {
                content: "Ainda não sabes qual escolher?";
                font-size: 14px;
                font-weight: 400;
                position: absolute;
                top: 30px;
            }
        }
    }
    .dropdown-menu {
        padding: 10px 30px;
        .dropdown-item {
            padding: 8px 0;
            color: $tokio_black;
            &:hover {
                color: $primary;
                font-weight: 700;
            }
        }
    }
}

@media (max-width: 992px) {
    .navbar-collapse {
        position: fixed;
        background: $white;
        top: 0px;
        left: 0;
        padding-left: 15px;
        padding-right: 15px;
        padding-bottom: 15px;
        padding-top: 78px;
        width: 85%;
        height: 100%;
    }
    .navbar-collapse.collapsing {
        left: -75%;
        transition: height 0s ease;
    }
    .navbar-collapse.show {
        left: 0;
        transition: left 300ms ease-in-out;
    }
    .navbar-toggler.collapsed~.navbar-collapse {
        transition: left 500ms ease-in-out;
    }
}


/******************************
	Buttons
*******************************/

.btn-tokio-1 {
    color: white;
    background: $tokio-green;
    border: 2px solid $tokio-green;
    transition: all 0.5s ease-in-out;
    &:hover {
        color: $tokio-green;
        background: transparent;
        transition: all 0.5s ease-in-out;
    }
}

.btn-tokio-navyblue {
    // color: white;
    // background: $tokio-green;
    // border: 2px solid $tokio-green;
    // transition: all 0.5s ease-in-out;
    &:hover {
        color: $tokio-navyblue!important;
        border-color: $tokio-green;
        background: $tokio-green;
        // transition: all 0.5s ease-in-out;
    }
}

.btn-outline-tokio-green {
    &:hover {
        color: $tokio-navyblue!important;
        // border-color: $tokio-green;
        // background: $tokio-green;
        // transition: all 0.5s ease-in-out;
    }
}

.btn-primary,
.btn-tokio-blue {
    &:hover {
        color: $tokio-blue!important;
        background: transparent;
    }
}


/*********************************
Pop up Solicitar información
*********************************/

.form-contacto {
    .modal-dialog {
        max-width: 826px;
    }
    .modal-content {
        padding-bottom: 60px;
    }
    .modal-body {
        // padding: 20px 60px;
        @include media-breakpoint-up(md) {
            width: 710px;
            padding: 20px 60px;
        }
    }
    .gform_wrapper {
        .gform_fields {
            list-style-type: none;
            padding-left: 0;
             ::placeholder {
                font-size: 16px;
                font-weight: 400;
                color: #C5C5C5;
            }
            input[type=text],
            input[type=email],
            input[type=tel],
            input[type=number],
            select,
            textarea {
                width: 100% !important;
                // border: none;
                border: 2px solid white;
                box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
                margin-bottom: 9px;
                padding: 16px 26px !important;
                color: $tokio_black;
                background: $white;
                &:focus {
                    outline: none !important;
                    border: 2px solid $tokio-green;
                    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
                    border-radius: 4px;
                }
            }
            input[type=file] {
                margin-bottom: 9px;
                padding: 16px 26px !important;
                width: 100%!important;
            }
            select {
                background: $white;
                color: #C5C5C5;
                -moz-appearance: none;
                /* Firefox */
                -webkit-appearance: none;
                /* Safari and Chrome */
                appearance: none;
                position: relative;
            }
            .selected {
                color: $tokio_black;
            }
            textarea {
                height: 144px;
            }
            .gf-legal,
            .gf-promos {
                .gfield_label {
                    display: none;
                }
            }
            .ginput_container_select:after {
                display: inline-block;
                font-family: "Font Awesome 5 Pro";
                position: relative;
                content: "\f107";
                width: 14px;
                height: 7px;
                margin-top: 21px;
                margin-left: -28px;
                color: $primary;
            }
        }
        .gfield_checkbox {
            label {
                color: $white;
                font-size: 16px;
            }
            a {
                color: $white;
            }
            li {
                list-style-type: none;
            }
            input[type=checkbox] {
                width: 16px !important;
                background: $primary;
            }
            padding-left: 0;
        }
        input[type=submit] {
            padding: 16px 24px;
            // width: 167px;
            background: $tokio-green;
            color: $white;
            border: 2px solid $tokio-green;
            border-radius: 40px;
            font-size: 16px;
            font-weight: bold;
            letter-spacing: 0.3px;
            transition: all .2s ease-in-out;
            &:focus {
                outline: none;
            }
            &:hover {
                background: transparent!important;
                color: $tokio-green;
                transition: all .2s ease-in-out;
            }
        }
        .gfield_label {
            display: none;
        }
    }
}

#conecta-empresa {
    form {
         ::placeholder {
            font-size: 16px;
            font-weight: 400;
            color: #C5C5C5;
        }
        input[type=text],
        input[type=email],
        input[type=tel],
        input[type=number],
        textarea {
            width: 100% !important;
            // border: none;
            border: 2px solid white;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
            margin-bottom: 9px;
            padding: 16px 26px !important;
            color: $tokio_black;
            background: $white;
            &:focus {
                outline: none !important;
                border: 2px solid $tokio-navyblue;
                box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
                border-radius: 4px;
            }
        }
        select {
            border: 2px solid white;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
            color: $tokio_black;
            &:focus {
                outline: none !important;
                border: 2px solid $secondary;
            }
        }
    }
}


/*******************************
	Popup Gracias formularios cuerpo
*******************************/

@include media-breakpoint-up(lg) {
    .modal-gracias {
        .modal-dialog {
            max-width: 824px;
        }
    }
}


/*******************************
	Carousel
*******************************/

@include media-breakpoint-up(lg) {
    $calculo: calc(100vw - 1248px);
    .row-carousel {
        margin-left: calc(#{$calculo} / 2);
    }
}

.carousel {}

.carousel-home-areas-formacion {
    overflow: hidden;
    &:focus {
        outline: none!important;
    }
    .carousel-cell {
        width: 100%;
        position: relative;
        .container {
            height: 100%;
        }
    }
    // .flickity-viewport {height: 500px !important;}
    .flickity-button,
    .flickity-page-dots {
        visibility: hidden;
    }
    .carousel-cell {
        // height: 400px;
    }
    .btn.btn-outline-primary {
        border-width: 2px;
    }
}

.custom-carousel-controls-mobile {
    overflow-x: auto;
    white-space: nowrap;
    span {
        float: none;
    }
}

.custom-carousel-controls-mobile {
    margin-left: 15px;
    padding-left: 0px;
    position: relative;
    color: white;
    i {
        // transition: all 0.2s ease-in;
    }
    .link-button {
        position: relative;
        &.active,
        &:hover {
            font-weight: bold!important;
            color: $tokio-green;
            cursor: pointer;
            transition: all 0.2s ease-in;
            &:after {
                width: 100%;
            }
        }
        &:after {
            content: '';
            width: 0%;
            height: 5px;
            border-bottom: 5px solid $tokio-green;
            border-radius: 8px;
            bottom: -15px;
            left: 50%;
            transform: translateX(-50%);
            position: absolute;
            transition: width 0.2s ease-out;
        }
    }
}

.custom-carousel-controls {
    i {
        transition: all 0.2s ease-in;
    }
    .custom-controls-button {
        font-size: 24px;
        color: #ECECEC;
        position: relative;
        i {
            color: $tokio-green;
        }
        span {
            transition: all 0.2s ease-in;
            svg {
                path {
                    fill: $tokio_grey;
                    transition: all 0.2s ease-in;
                }
            }
        }
        &.active {
            // font-weight: bold!important;
            color: $tokio-green;
            i {
                background: $tokio-green!important;
                color: white;
                transition: all 0.2s ease-in;
            }
            span {
                background: $tokio-green!important;
                transition: all 0.2s ease-in;
                svg {
                    path {
                        fill: white;
                        transition: all 0.2s ease-in;
                    }
                }
            }
        }
    }
    .custom-controls-button.hover {
        cursor: pointer;
        // font-weight: bold;
        color: $tokio-green;
        transition: all 0.1s ease-in;
        i {
            background: $tokio-green!important;
            color: white;
            transition: all 0.2s ease-in;
        }
        span {
            background: $tokio-green!important;
            transition: all 0.2s ease-in;
            svg {
                path {
                    fill: white;
                    transition: all 0.2s ease-in;
                }
            }
        }
    }
}

.custom-accordion {
    .card {
        border-radius: 0px;
    }
    .accordion-item {
        border-radius: 5px 20px 20px 5px;
        margin: 1px;
        margin-bottom: 5px;
        border-left: solid 8px white;
        transition: all 0.2s ease-out;
        box-shadow: none;
        .card-title {
            font-size: 24px;
        }
        &.active {
            box-shadow: 2px 4px 5px rgba(0, 0, 0, 0.15);
            transition: all 0.2s ease-out;
            border-left: solid 8px $secondary;
            .card-header {
                color: $primary;
            }
        }
        .card-header {
            transition: all 0.2s ease-out;
            &.collapsed {
                color: #C5C5C5;
            }
            &:hover,
            &:focus {
                cursor: pointer;
                color: $primary;
                transition: all 0.2s ease-out;
            }
        }
        .card-body {
            color: $tokio_black;
        }
    }
    .img-metodologia-mobile {
        @include media-breakpoint-up(md) {
            display: none;
        }
    }
}


/******************************
	Footer
*******************************/

#colophon {
    .site-footer-logo {
        max-width: 80px;
        margin-bottom: 0.6rem;
        margin-left: auto;
        margin-right: auto;
        margin-left: initial;
        margin-right: auto;
    }
    .copy-text {
        font-size: 16px;
        line-height: 24px;
    }
    .widget {
        .widget-title {
            font-size: 20px;
            margin-bottom: 1rem;
            @include media-breakpoint-down(sm) {
                font-size: 24px;
            }
        }
        ul {
            padding-left: 0;
            list-style-type: none;
            li {
                margin-bottom: 0.6rem;
                a {
                    font-size: 1rem!important;
                    color: grey!important;
                    &:hover {
                        text-decoration: none;
                    }
                }
            }
        }
    }
    .rrss-icons {
        a:not(.icon-youtube) {
            &:hover {
                path {
                    fill: $secondary;
                }
            }
        }
        a.icon-youtube {
            &:hover {
                path:nth-child(1) {
                    fill: $secondary;
                }
            }
        }
    }
}

.footer-awards .media {
    max-width: 410px;
}


/**********************
	Extras
***********************/

.chatbot-icon {
    position: fixed;
    bottom: 15px;
    right: 15px;
    @include media-breakpoint-up(md) {
        bottom: 25px;
        right: 25px;
    }
    @include media-breakpoint-up(lg) {
        bottom: 45px;
        right: 45px;
        &:hover {
            cursor: pointer;
            img {
                animation-name: bounce-7;
                animation-duration: 0.8s;
                animation-timing-function: cubic-bezier(0.280, 0.840, 0.420, 1);
                @keyframes bounce-7 {
                    0% {
                        transform: scale(1, 1) translateY(0);
                    }
                    10% {
                        transform: scale(1.1, .9) translateY(0);
                    }
                    30% {
                        transform: scale(.9, 1.1) translateY(-50px);
                    }
                    50% {
                        transform: scale(1.05, .95) translateY(0);
                    }
                    57% {
                        transform: scale(1, 1) translateY(-7px);
                    }
                    64% {
                        transform: scale(1, 1) translateY(0);
                    }
                    100% {
                        transform: scale(1, 1) translateY(0);
                    }
                }
            }
        }
    }
}

.bg-image-circle-left {
    position: relative;
    &:after {
        content: '';
        position: absolute;
        left: -650px;
        top: 50%;
        transform: translateY(-50%);
        // left: -40px;
        // top: 0;
        // transform: translateY(-50%);
        background: $secondary;
        border-radius: 50%;
        width: 350px;
        height: 350px;
        z-index: -1;
        @include media-breakpoint-up(sm) {
            width: 450px;
            height: 450px;
        }
        @include media-breakpoint-up(md) {
            // left: -250px;
            // top: -96px;
            width: 520px;
            height: 520px;
            left: -325px;
        }
        @include media-breakpoint-up(lg) {
            // left: -250px;
            // top: -96px;
            left: -325px;
            width: 570px;
            height: 570px;
        }
        @include media-breakpoint-up(xl) {
            // left: -270px;
            // top: -96px;
            left: -625px;
            width: 900px;
            height: 900px;
        }
    }
}

.bg-image-circle-right {
    position: relative;
    &:after {
        content: '';
        position: absolute;
        right: -40px;
        top: 0;
        // transform: translateY(-50%);
        background: $secondary;
        border-radius: 50%;
        width: 600px;
        height: 600px;
        top: -100px;
        right: -140px;
        z-index: -1;
        @include media-breakpoint-up(sm) {
            width: 650px;
            height: 650px;
            top: -140px;
            right: -160px;
        }
        @include media-breakpoint-up(md) {
            right: -100px;
            top: -180px;
            width: 750px;
            height: 750px;
        }
        @include media-breakpoint-up(lg) {
            right: -200px;
            width: 650px;
            height: 650px;
            top: -180px;
        }
        @include media-breakpoint-up(xl) {
            right: -140px;
            width: 770px;
            height: 770px;
            top: -250px;
        }
    }
}

.video-cover {
    position: relative;
    background: url('https://www.tokioschool.com/wp-content/themes/esgalla/img/video-poster.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 300px;
    @include media-breakpoint-up(md) {
        height: 450px;
    }
    @include media-breakpoint-up(lg) {
        height: 650px;
    }
    i {
        top: 50%;
        left: 50%;
        position: absolute;
        transform: translate(-50%, -50%);
        color: #ffffff;
    }
}


/****************
	Portada
*****************/

.home {
    #areas-formacion {}
    .innovacion {
        img {
            max-width: 120px;
        }
        @include media-breakpoint-down(sm) {
            margin: 0 1rem;
        }
    }
    #empresas-lideres {}
    #formacion-online {}
    @include media-breakpoint-down(md) {
        .btn-mov-100 {
            width: 100%;
        }
        // .carousel-home-areas-formacion .flickity-viewport {height: 450px !important;}
    }
}


/****************
	Descubre Tokio
*****************/

#masthead.descubre-tokio {
    .imgs-container {
        position: relative;
        img {
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            max-width: 180px;
            @include media-breakpoint-up(sm) {
                max-width: 220px;
            }
            @include media-breakpoint-up(md) {
                max-width: 350px;
            }
            @include media-breakpoint-up(lg) {
                max-width: 400px;
            }
        }
    }
    background-image: url('../img/descubre_tokio_bg.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top;
}

.row-descubre-tokio {
    height: 400px;
    @include media-breakpoint-up(lg) {
        height: 600px;
    }
    // background-image: url('../img/pink-circle.svg');
    // background-size: contain;
    // background-repeat: no-repeat;
    // background-position: center;
    // background: $secondary;
    // background-image: url('../img/ilustracion-descubre-tokio.svg');
    // background-repeat: no-repeat;
    // background-position: center;
}

#video {}

#formacion-online {}

// #como-lo-hacemos {
// 	@include media-breakpoint-up(lg) {
// 		min-height: 700px;
// 	}
// }

/**************
	Para empresas
***************/

.header-empresas {
    @include media-breakpoint-up(xl) {}
}

#contratan-alumnos {}

#empresas-lideres-formacion {
    background: url('../img/flecha-tatami.svg');
    background-size: contain;
    background-position: left;
    background-repeat: no-repeat;
}


/*********************************
	Component opiniones alumnos
**********************************/

.component.component-opiniones-alumnos {
    .carousel-opiniones-alumnos {
        overflow-x: hidden;
        &:focus {
            outline: none!important;
        }
        .carousel-cell {
            width: 100%;
            .container {
                height: 100%;
            }
        }
        .content-opinion {
            background-image: url('../img/pink_logo.svg');
            background-size: auto;
            background-repeat: no-repeat;
            background-position-x: 20px;
            @include media-breakpoint-up(md) {
                background-position-x: 0px;
            }
            background-position-y: 12px;
            .nom-alumno {
                color: $tokio_black;
            }
        }
        .flickity-viewport {}
        .flickity-page-dots {
            display: none;
        }
        .flickity-prev-next-button {
            top: 100px;
            @include media-breakpoint-up(lg) {
                top: 50%;
            }
            &.previous {
                left: -6px;
                @include media-breakpoint-up(md) {
                    left: -5px;
                }
            }
            &.next {
                right: -6px;
                @include media-breakpoint-up(md) {
                    right: -5px;
                }
            }
        }
    }
    .flickity-button {
        color: $secondary;
        background: transparent;
        width: 30px;
        height: 30px;
        &:disabled {
            color: white;
        }
    }
    @include media-breakpoint-up(lg) {
        .flickity-slider {
            margin: 0 100px;
        }
    }
}


/*********************************
	Component popup video
**********************************/

.component.component-popup-video {
    .play-icon {
        position: absolute;
        width: 100px;
        @include media-breakpoint-up(lg) {
            width: 136px;
        }
    }
    .video-btn {
        &:hover {
            cursor: pointer;
        }
    }
    @include media-breakpoint-up(lg) {
        p {
            padding: 0 60px;
        }
    }
    .video-description p {
        max-width: 1000px;
        margin-left: auto;
        margin-right: auto;
    }
    .modal {
        .modal-content {
            background: #000000;
            border: 0px;
        }
        .modal-dialog {
            max-width: 800px;
            margin: auto;
            top: 50%;
            transform: translateY(-50%);
        }
        .modal-body {
            position: relative;
            padding: 0px;
        }
        .close {
            position: absolute;
            right: -30px;
            top: -45px;
            z-index: 999;
            font-weight: normal;
            color: #fff;
            opacity: 1;
            background: transparent;
            border: none;
            &:hover,
            &:focus {
                text-decoration: none;
                box-shadow: none;
                outline: none;
            }
            span {
                font-size: 2rem;
                color: #fff;
            }
        }
    }
}


/**
	FAQs
**/

.page-id-38 {
    #masthead {
        background-position: right;
        background-repeat: no-repeat;
        background-size: 50%;
        @include media-breakpoint-down(md) {
            background-image: none!important;
        }
    }
}

.accordion-faqs {
    max-width: 1036px;
    &.accordion .card-header {
        color: $primary;
        font-weight: 600;
        border: none;
        &:hover {
            cursor: pointer;
        }
        &.collapsed {
            // border-bottom: 3px solid #04219c8c;
        }
        .card-title {
            width: calc(100% - 20px);
            display: inline-block;
            margin-bottom: 0px;
            &:hover {
                text-decoration: none;
            }
        }
    }
    &.accordion .card-header:after {
        font-family: 'Font Awesome 5 Pro';
        font-weight: 900;
        content: "\f077";
        color: $primary;
        float: right;
    }
    &.accordion .card-header.collapsed:after {
        /* symbol for "collapsed" panels */
        content: "\f078";
    }
    &.accordion .card-body {
        color: $tokio_black;
    }
    .acordion-item-separator {
        border-bottom: 3px solid #04219c8c;
    }
}

.img-faqs {
    max-width: 590px;
    margin-top: 100px;
}


/**
	Noticias
**/

.page-id-53 {
    #masthead {
        .big-post {
            .big-post-col {
                min-height: 320px;
                background-image: url('../img/pink-circle.svg');
                background-position: center;
                background-size: contain;
                background-repeat: no-repeat;
                // border-radius: 0.5rem;
                @include media-breakpoint-up(lg) {
                    min-height: 450px;
                }
                .big-post-col-header {
                    margin: auto;
                }
            }
        }
        .big-post-excerpt {
            padding: 2.5rem !important;
            @include media-breakpoint-up(md) {
                // padding: 40px 80px;
            }
            @include media-breakpoint-up(lg) {
                transform: translateY(50%);
                // width: 65.8%;
            }
        }
    }
    .search-bar {
        position: relative;
        .icon-search {
            position: absolute;
            right: 5px;
            top: 7px;
        }
    }
}

#posts-destacados,
#posts-relacionados {
    .container-lg-fluid {
        @media screen and (min-width: 992px) and (max-width: 1250px) {
            .row-carousel {
                margin-left: 15px;
            }
            // display:none;
        }
        // @include media-breakpoint-up(sm) {
        // 	width: map-get($grid-breakpoints, "sm")!important;
        // 	// margin-right: 30px;
        // }
        // @include media-breakpoint-up(md) {
        // 	width: map-get($grid-breakpoints, "md")!important;
        // 	// margin-right: 30px;
        // }
        // @include media-breakpoint-up(lg) {
        // 	width: inherit!important;
        // }
        // @include media-breakpoint-up(xl) {
        // 	width: inherit!important;
        // }
    }
}

.post-card {
    .post-image-bg img {
        width: 100%;
        border-radius: 5px 5px 0px 0px;
        position: relative;
        top: 50%;
        transform: translateY(-50%);
    }
    // width: 320px;
    // height: 400px;
    box-shadow: 0px 3px 7px 3px rgba(0,
    0,
    0,
    0.15);
    border-radius: 8px;
    .post-image-bg {
        // height: 45%;
        height: 200px;
        background-size: cover;
        background-position: center;
        border-radius: 5px 5px 0px 0px;
        overflow-y: hidden;
    }
    .post-content {
        // height: 55%;
        height: calc(100% - 200px);
        border-radius: 0px 0px 5px 5px;
    }
    a {
        &:hover {
            text-decoration: none;
        }
    }
    @include media-breakpoint-up(sm) {
        // width: 400px;
    }
}

.posts-carousel {
    // background: #FAFAFA;
    &:focus {
        outline: none!important;
    }
    .carousel-cell {
        width: 90%;
        padding-left: 5px;
        padding-right: 5px;
        border-radius: 8px;
        @include media-breakpoint-up(sm) {
            width: 55%;
            // margin-right: 30px;
        }
        @include media-breakpoint-up(md) {
            width: 45%;
            // margin-right: 30px;
        }
        @include media-breakpoint-up(lg) {
            width: 400px;
        }
    }
    &:hover {
        cursor: move;
        /* fallback if grab cursor is unsupported */
        cursor: grab;
        cursor: -moz-grab;
        cursor: -webkit-grab;
    }
    &:active {
        cursor: grabbing;
        cursor: -moz-grabbing;
        cursor: -webkit-grabbing;
    }
}

#posts-grid {
    .post-card {
        margin-bottom: 1rem!important;
    }
}


/*************
	Single post
**************/

.single-post {
    #masthead {
        .big-post {
            .big-post-col {
                min-height: 320px;
                background-position: center;
                // background-size: cover;
                background-repeat: no-repeat;
                // border-radius: 0.5rem;
                @include media-breakpoint-up(lg) {
                    min-height: 600px;
                }
                .big-post-col-header {
                    margin: auto;
                }
            }
        }
        .bg-img-holder {
            background-size: cover;
        }
    }
    .col-noticias {
        max-width: 612px;
    }
    .single-post-title {
        .big-post-title-card {
            position: relative;
            left: 50%;
            transform: translateX(-50%);
            // width: 95%;
            padding: 40px;
            @include media-breakpoint-up(md) {
                width: 75%;
            }
            @include media-breakpoint-up(lg) {
                width: 823px;
            }
        }
    }
    .single-post-content {
        p {
            color: $tokio_black;
            margin-bottom: 30px;
        }
        img {
            max-width: 100%;
            height: auto;
            border-radius: 0.25rem !important;
            box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.175) !important;
            -webkit-box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.175) !important;
            margin-top: 20px;
            margin-bottom: 20px;
        }
        h2 {
            font-size: 1.5rem;
            margin-bottom: 32px;
        }
        h3 {
            font-size: 1.3rem;
            margin-bottom: 15px;
        }
        ul {
            margin-bottom: 40px;
            li {
                color: $tokio_black;
                margin-bottom: 10px;
            }
        }
        blockquote {
            margin-top: 50px;
            margin-bottom: 50px;
            p {
                color: $tokio-green;
                font-size: 2rem;
                line-height: 40px;
                font-weight: $font-weight-bold;
                em {
                    font-style: normal!important;
                }
            }
        }
        hr.post-end {
            max-width: 100px;
            border-width: 4px;
            border-color: #C5C5C5;
        }
    }
    .single-post-title,
    .single-post-content {
        bottom: 8rem;
        position: relative;
    }
    .autor p {
        color: $tokio_grey;
    }
}

.col-programa {
    padding: 40px 35px;
    border-radius: 20px;
    .mini-text {
        color: #929292;
    }
    @include media-breakpoint-up(lg) {
        max-width: 325px;
    }
    .fechas-del-curso {
        font-weight: 500;
    }
}

.col-futuro {
    @include media-breakpoint-up(lg) {
        max-width: 612px;
    }
}


/**************
	Product page
***************/

.formacion-dato {
    color: $tokio_black;
    font-weight: 500;
    img {
        bottom: 2px;
        position: relative;
    }
}

#single-formacion {
    #formacion-header {
        .formacion-dato {
            color: $tokio_black;
            font-weight: 500;
            img {
                bottom: 2px;
                position: relative;
            }
        }
        .icon-download {
            position: relative;
            bottom: 1px;
            margin-right: 5px;
        }
    }
    .img-destacada-desktop {
        @include media-breakpoint-up(sm) {
            display: block;
        }
        @include media-breakpoint-down(sm) {
            display: none;
        }
    }
    .img-destacada-mobile {
        @include media-breakpoint-up(md) {
            display: none;
        }
    }
    #modulos-formacion {
        .modulos-nav {
            .modulos-nav-item {
                .modulo-name {
                    color: white;
                }
                &.active {
                    .modulo-name {
                        color: $tokio-pink;
                    }
                    .modulo-horas {
                        color: $tokio_black;
                    }
                }
                &:hover {
                    cursor: pointer;
                    .modulo-name {
                        color: $tokio-pink;
                    }
                    // .modulo-horas {
                    // 	color: $tokio_black;
                    // }
                }
            }
        }
        @include media-breakpoint-down(md) {
            .horizontal-scrollable {
                .modulos-nav {
                    overflow-x: auto;
                    white-space: nowrap;
                    .modulos-nav-item {
                        display: inline-block!important;
                        float: none;
                        .modulo-name,
                        .modulo-horas {
                            display: block;
                        }
                    }
                }
            }
        }
        .modulos-content-item {
            display: none;
            // opacity: 0;
            // transition: all 0.5s ease-out;
            &.active {
                display: block;
                // opacity: 1;
                // transition: all 0.5s ease-out;
            }
            .modulo-title {
                font-size: 32px;
            }
            .modulo-icon {
                position: relative;
                bottom: 8px;
            }
        }
    }
    #nuestros-profesores {
        background: url('../img/flecha-senseis.svg');
        background-size: contain;
        background-position: left;
        background-repeat: no-repeat;
        .profe-card {
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
            border-radius: 0.2rem;
            border: 0px;
            .card-body {
                padding: 1.5rem;
            }
            .card-horizontal {
                @include media-breakpoint-up(sm) {
                    display: flex;
                    flex: 1 1 auto;
                }
            }
            .profe-foto {
                width: 100%;
                // height: 160px;
                background-size: cover;
                background-repeat: no-repeat;
                background-position: center;
                border-radius: 0.2rem 0.2rem 0 0;
                @include media-breakpoint-up(sm) {
                    height: 300px;
                    border-radius: 0.2rem 0 0 0.2rem;
                }
                @include media-breakpoint-up(md) {
                    width: 150%;
                    height: 280px;
                }
                @include media-breakpoint-up(lg) {
                    // width: 125%;
                }
            }
            .profe-nombre {
                font-size: 16px;
            }
            .profe-materia {
                color: #C5C5C5;
                font-weight: 400;
                font-size: 14px;
            }
            .profe-descripcion {
                color: $tokio_black;
                font-weight: normal;
                font-size: 16px;
                line-height: 24px;
            }
        }
        .carousel-profes {
            background: transparent;
            padding: 10px 0;
            &:focus {
                outline: none!important;
            }
            .carousel-cell {
                padding-top: 2px;
                padding-bottom: 2px;
                width: 80%;
                // width: 300px;
                margin-right: 15px;
            }
            @include media-breakpoint-up(md) {
                .carousel-cell {
                    width: 506px;
                    margin-right: 15px;
                }
            }
            @include media-breakpoint-up(lg) {
                .carousel-cell {
                    width: 506px;
                    margin-right: 15px;
                }
            }
            @include media-breakpoint-up(xl) {
                .carousel-cell {
                    width: 506px;
                    margin-right: 15px;
                }
            }
            .flickity-slider {
                transform: translateX(0%);
            }
            .flickity-button,
            .flickity-page-dots {
                display: none;
            }
        }
        .carousel-profes-custom-nav {
            span:hover {
                cursor: pointer;
                // svg path {
                // 	fill: $primary;
                // }
            }
            .active {
                svg path {
                    fill: $primary;
                }
            }
            svg {
                width: 35px;
                height: 35px;
            }
            @include media-breakpoint-down(sm) {
                display: none !important;
            }
        }
    }
    .bg-image-circle-right:after {
        right: -540px;
        top: -100px;
        @include media-breakpoint-down(sm) {
            display: none;
        }
    }
    .img-metodologia-mobile {
        @include media-breakpoint-up(md) {
            display: none;
        }
    }
    .img-metodologia-desktop {
        @include media-breakpoint-up(md) {
            display: block !important;
        }
    }
    #preguntas-frecuentes {
        .container .row {
            @include media-breakpoint-up(xl) {
                width: 1032px;
            }
        }
    }
    .btn-explorar-empresas-mobile {
        @include media-breakpoint-up(md) {
            display: none !important;
        }
    }
}


/*
* Sección para cursos de Python
*
*/

.seccion-especialidades {
    .list-group-item-action {
        // border: 4px solid #ffffff;
        padding: 1rem;
        margin-left: 15px;
        margin-right: 15px;
        h4 {
            font-size: 12px;
            @include media-breakpoint-up(md) {
                font-size: 16px;
            }
            @include media-breakpoint-up(lg) {
                // font-size: 1.5rem;
            }
        }
        @include media-breakpoint-up(md) {
            padding: 1.5rem;
        }
        // color: #929292;
        .subtitle {
            color: #929292;
        }
        &:after {
            content: '';
            width: 0%;
            height: 5px;
            border-bottom: 4px solid $tokio-navyblue;
            left: 50%;
            transform: translateX(-50%);
            position: absolute;
            transition: width 0.2s ease-out;
            bottom: 0;
        }
        &.active {
            .subtitle {
                color: $tokio-navyblue;
            }
            &:after {
                content: '';
                width: 100%;
            }
        }
        &:hover {
            .subtitle {
                color: $tokio-navyblue;
            }
            cursor: pointer;
            text-decoration: none;
            &:after {
                width: 100%;
                transition: width 0.2s ease-out;
            }
        }
    }
}

.num-temario {
    font-size: 40px;
    color: white;
    font-weight: bold;
    text-align: center;
    padding-top: 8px;
    width: 72px;
    height: 72px;
    border-radius: 50px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.55);
    background: $secondary;
}

.italic-especialidad {
    margin-top: 70px;
    font-size: 14px;
    font-weight: book;
    font-style: italic;
}

.price-card-form {
    .mini-text {
        font-size: 0.8rem;
    }
    .iva-incluido {
        color: $primary;
    }
    .listado-formacion {
        list-style-type: none;
        li {
            color: $primary;
            &:before {
                font-family: 'Font Awesome 5 Pro';
                font-weight: 900;
                color: $primary;
                content: "\f00c";
                margin-left: -20px;
                margin-right: 10px;
            }
        }
    }
}


/*******************
	Contacto
********************/

#donde-estamos {
    .map-links {
        .ubication-gmaps {
            &:hover {
                color: $primary;
                cursor: pointer;
                font-weight: bold;
            }
            &.active {
                color: $primary;
                font-weight: bold;
            }
        }
    }
    .map-container {
        overflow: hidden;
        padding-bottom: 56.25%;
        position: relative;
        height: 0;
        iframe {
            left: 0;
            top: 0;
            width: 100%;
            height: 400px;
            @include media-breakpoint-up(md) {
                height: 505px;
            }
            position:absolute;
        }
    }
}

.carousel-logos-empresas {
    background: #ffffff;
    // margin: 0 60px; /* space for prev/next buttons */
    overflow: hidden;
    &:focus {
        outline: none!important;
    }
    .carousel-cell {
        width: 100%;
        /* half-width */
        height: 180px;
        padding: 0 30px;
        text-align: center;
        @include media-breakpoint-up(md) {
            width: 33%;
        }
        @include media-breakpoint-up(lg) {
            width: 20%;
        }
    }
    .flickity-button {
        color: $blue;
        width: 30px;
        height: 30px;
    }
}

.carousel-logos-empresas-custom-nav {
    span {
        &:hover {
            cursor: pointer;
        }
    }
    path {
        fill: $primary;
    }
}

#archive-formacion {
    .categorias-cursos-nav {
        // border-bottom: 3px solid #F6F6F6 ;
        box-shadow: 0px 3px 7px 3px rgba(0, 0, 0, 0.15);
        .nav-item {
            color: $tokio_black;
            position: relative;
            &:after {
                content: '';
                width: 0%;
                height: 5px;
                border-bottom: 4px solid $primary;
                left: 50%;
                transform: translateX(-50%);
                position: absolute;
                transition: width 0.2s ease-out;
                bottom: 0;
            }
            &.active {
                color: $primary;
                &:after {
                    content: '';
                    width: 100%;
                }
            }
            @include media-breakpoint-up(md) {
                &:hover {
                    color: $primary;
                    cursor: pointer;
                    &:after {
                        width: 100%;
                        transition: width 0.2s ease-out;
                    }
                }
            }
        }
    }
    .formaciones-grid {
        display: none;
        &.active {
            display: block;
        }
    }
}

.card.formacion-card {
    .card-img-top-container {
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 192px;
        @include media-breakpoint-up(md) {
            height: 150px;
        }
        @include media-breakpoint-up(lg) {
            height: 192px;
        }
    }
}


/**************
	Opiniones
***************/

.trabajo-card {
    // height: 441px;
    .post-image-bg {
        height: 361px;
        width: 504px;
    }
}

.carousel-proyectos {
    @media screen and (min-width: 992px) and (max-width: 1250px) {
        // .row-carousel {
        margin-left: 150px;
        // }
        // display:none;
    }
    .carousel-cell {
        // margin-right: 24px;
        width: 90%;
        @include media-breakpoint-up(sm) {
            // margin-right: 24px;
            width: 70%;
        }
        @include media-breakpoint-up(md) {
            margin-right: 24px;
            width: 506px;
        }
        @include media-breakpoint-up(lg) {
            margin-right: 24px;
            width: 506px;
        }
    }
    .flickity-prev-next-button {
        top: 110%;
        display: none;
        @include media-breakpoint-up(lg) {
            display: block;
        }
    }
    .flickity-prev-next-button {
        &:focus {
            box-shadow: none;
        }
    }
    .flickity-prev-next-button.previous {
        left: initial;
        @include media-breakpoint-up(lg) {
            right: 19%;
        }
        @include media-breakpoint-up(xl) {
            right: 22%;
        }
    }
    .flickity-prev-next-button.next {
        @include media-breakpoint-up(lg) {
            right: 10%;
        }
        @include media-breakpoint-up(xl) {
            right: 17%;
        }
    }
    .flickity-button {
        color: #0D1C2E;
        height: 18px;
    }
}

.modal-proyectos {
    .carousel {
        // display:none;
        // visibility: hidden;
        opacity: 0;
    }
    .modal-dialog {
        max-width: 826px;
    }
    .modal-content {
        width: 100%;
    }
    .modal-body {
        padding: 0 48px;
    }
    .flickity-viewport {
        @include media-breakpoint-up(lg) {
            height: 400px;
        }
    }
    .carousel-cell {
        width: 100%;
        @include media-breakpoint-up(lg) {
            width: 728px;
            height: 400px;
        }
        margin-right: 10px;
        border-radius: 5px;
        // counter-increment: carousel-cell;
    }
    .tit-modal-project {
        font-size: 32px;
    }
}

.modal-header {
    border: none;
}

.close {
    border: none;
    padding: 30px;
    background: transparent;
    span {
        color: #0D1C2E;
        font-size: 1.2rem;
    }
}


/**************
	Aviso legal
***************/

.separador {
    position: relative;
    &:before {
        display: inline-block;
        content: "";
        width: 82px;
        height: 8px;
        left: 414px;
        top: 480px;
        background: #FD667F;
        border-radius: 4px;
    }
}

.aviso-legal-content {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        color: white;
    }
    a {
        color: $tokio-green;
    }
}


/**************
	404
***************/

.big404 {
    @include media-breakpoint-up(md) {
        font-size: 200px;
    }
    @include media-breakpoint-up(lg) {
        font-size: 230px;
    }
}

.bg-404 {
    background: url('../img/bg_404.png');
    background-size: cover;
    background-repeat: no-repeat;
}


/******************
	Header Search bar
******************/

.searchwp-container {
    width: 120px;
    position: relative;
    transition: width 0.3s ease-out;
    &.onfocus {
        width: 160px;
        transition: width 0.3s ease-out;
    }
    &:before {
        content: url('../img/search_white.svg');
        position: absolute;
        left: 10px;
        top: 8px;
        transform: scale(1.5);
    }
    #searchwp {
        padding-left: 40px;
        border: 0;
        transition: box-shadow 0.3s ease-out;
        color: white;
        background: transparent;
        &:focus {
            transition: box-shadow 0.3s ease-out;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
            border-radius: 4px;
        }
        &::-webkit-input-placeholder {
            /* Edge */
            color: white;
            font-weight: bold;
        }
        &:-ms-input-placeholder {
            /* Internet Explorer 10-11 */
            color: white;
            font-weight: bold;
        }
        &::placeholder {
            color: white;
            font-weight: bold;
        }
    }
}

.searchwp-live-search-results {
    width: 400px!important;
    max-height: initial!important;
    .searchwp-results-section-title {
        display: inline-block;
        font-size: 16px;
        color: #1C233D;
        font-weight: 500;
        // margin-bottom: 15px;
    }
    .form-search-result-tit {
        a {
            color: #929292;
            font-size: 16px;
            display: block;
            white-space: initial;
            overflow: initial;
            text-overflow: initial;
        }
    }
    &:focus {
        outline: none;
    }
    small a {
        color: $primary;
        font-weight: 500;
    }
    .post-image {
        width: 70px;
        height: 48px;
    }
}

.container-controls {
    position: relative;
    @include media-breakpoint-up(md) {
        &:before {
            content: '';
            height: 100%;
            width: 8px;
            position: absolute;
            left: -10px;
            background: #F6F6F6;
            border-radius: 10px;
        }
    }
    .active-element-bar {
        height: 20%;
        width: 8px;
        position: absolute;
        left: -10px;
        top: 0%;
        background: $tokio-green;
        border-radius: 8px;
        -webkit-transition: top 0.2s ease-out;
        transition: top 0.2s ease-out;
    }
}

#modulos-formacion {
    .modulos-nav {
        position: relative;
        padding-bottom: 35px;
        @include media-breakpoint-up(lg) {
            padding-bottom: 0px;
        }
    }
    .horizontal-scrollable {
        position: relative;
        &:before {
            content: '';
            height: 8px;
            width: 100%;
            bottom: 0;
            position: absolute;
            background: #F6F6F6;
            border-radius: 12px;
            @include media-breakpoint-up(lg) {
                height: 15px;
                bottom: -25px;
            }
        }
        .active-element-bar {
            height: 8px;
            position: absolute;
            left: 0%;
            bottom: 0;
            background: $tokio-pink;
            border-radius: 12px;
            -webkit-transition: top 0.2s ease-out;
            transition: left 0.2s ease-out;
            @include media-breakpoint-up(lg) {
                top: initial;
                height: 15px;
                bottom: -25px;
            }
        }
    }
    .media-body {
        .media-body-content {
            color: white;
        }
    }
    .rounded-bottom-right {
        border-radius: 0px 0px 200px 0px;
        @include media-breakpoint-up(md) {
            border-radius: 0px 0px 400px 0px;
        }
        @include media-breakpoint-up(lg) {
            border-radius: 0px 0px 500px 0px;
        }
    }
}

.fila-premios {
    .col-premios {
        max-width: 294px;
    }
}


/****************
	Bounce animation in mouse icon
*****************/

.descubre-tokio {
    .mouse-icon-scroll {
        path {
            fill: white;
        }
    }
}

.mouse-icon-scroll {
    path:nth-child(2) {
        animation-name: bounceInDownRaton;
        animation-duration: 1.2s;
        animation-iteration-count: infinite;
        animation-timing-function: ease-out;
        @keyframes bounceInDownRaton {
            0% {
                transform: translateY(0);
            }
            50% {
                transform: translateY(-10px);
            }
            100% {
                transform: translateY(0);
            }
        }
    }
}


/************************
	Slider como lo hacemos
*************************/

#slider-como-lo-hacemos {
    .carousel-cell {
        width: 100%;
    }
    .flickity-button {
        color: $tokio-navyblue;
        width: 30px;
        height: 30px;
    }
    .flickity-button.flickity-prev-next-button {
        position: absolute;
        top: 100%;
        left: 100%;
        &.next {
            transform: translateX(-25px);
        }
        &.previous {
            transform: translateX(-85px);
        }
    }
}


/*
	Extras
*/

.two-columns-text {
    @include media-breakpoint-up(lg) {
        -webkit-column-count: 2;
        -moz-column-count: 2;
        column-count: 2;
        -webkit-column-gap: 3em;
        -moz-column-gap: 3em;
        column-gap: 3em;
    }
}


/* Nav-bar mobile */

.navBarMobile {
    overflow-y: scroll;
    background: $primary;
    .dropdown-item {
        white-space: normal;
    }
}

.dropdown-toggle::after {
    display: inline-block;
    margin-left: 0;
    vertical-align: 0;
    content: url('../img/chevron-down-menu.png');
    border: 0px!important;
    margin-left: 5px;
    position: relative;
}

.navbar.mobile .navbar-collapse {
    z-index: 9999;
    padding-left: 30px;
    padding-right: 30px;
    .navbar-toggler {
        padding-left: 0px;
    }
    ul {
        li {
            padding-top: 7px;
            padding-bottom: 7px;
            span {
                font-size: 20px;
                font-weight: 800!important;
            }
            ul {
                li {
                    padding-top: 0px;
                    padding-bottom: 8px;
                    a {
                        padding-top: 0px;
                        padding-bottom: 0px;
                        span {
                            font-size: 16px;
                            font-weight: 400!important;
                        }
                    }
                }
            }
        }
    }
    li.nav-item {
        .dropdown-toggle::after {
            display: inline-block;
            margin-left: 0;
            vertical-align: 0;
            content: url('../img/chevron-down.png');
            border: 0px!important;
            position: relative;
            margin-left: 5px;
            transition: all 0.3s ease-out;
            top: 5px;
        }
        &.show {
            .dropdown-toggle::after {
                transform: rotate(-180deg);
                // top: 0px;
                transition: all 0.3s ease-out;
                top: 0px;
            }
        }
        .dropdown-menu {
            border: 0px;
        }
    }
    .secondary-mobile-menu {
        padding-top: 10px;
        a {
            font-weight: 500;
            margin-bottom: 10px;
            font-size: 16px;
            &:last-child {
                font-size: 14px;
                span {
                    font-weight: 500;
                }
            }
        }
        .mobile-menu-divider {
            padding-top: 5px;
            padding-bottom: 12px;
            border-top: 2px solid #d3d3d34f;
            width: 88px;
        }
    }
}

@media (max-width: 1199px) {
    .navbar-collapse {
        position: fixed;
        background: $primary;
        top: 0px;
        left: 0;
        padding-left: 15px;
        padding-right: 15px;
        padding-bottom: 15px;
        padding-top: 78px;
        width: 85%;
        height: 100%;
        a {
            color: white!important;
        }
        path {
            fill: white!important;
        }
        .dropdown-menu {
            background: none;
        }
    }
    .navbar-collapse.show {
        left: 0;
        -webkit-transition: left 300ms ease-in-out;
        transition: left 300ms ease-in-out;
    }
}

.navbar.mobile {
    .navbar-collapse.collapsing {
        left: -75%;
        transition: height 0s ease;
    }
    .navbar-collapse.show {
        left: 0;
        transition: left 300ms ease-in-out;
    }
    .navbar-toggler.collapsed~.navbar-collapse {
        transition: left 500ms ease-in-out;
    }
}

html {
    &.overlayed {
        overflow-y: hidden!important;
        body {
            .menu-overlay {
                position: fixed;
                top: 0;
                left: 0;
                z-index: 1029;
                width: 100vw;
                height: 100vh;
                background-color: #000;
                opacity: 0.2;
            }
        }
    }
}


/**********
	Forms general
**********/

.gfield_error .validation_message {
    color: red
}

.gfield {
    input,
    textarea,
    select {
        border-radius: 4px;
    }
}

.gf-tlf-prefij,
.gf-prefijo {
    display: inline-block;
}

.gf-tlf-prefij {
    width: 70%;
    padding-left: 10px;
    // padding-right:10px;
    @include media-breakpoint-up(md) {
        width: 80%;
    }
}

.gf-prefijo {
    float: left;
    position: relative;
    bottom: 2px;
    width: 30%;
    @include media-breakpoint-up(md) {
        width: 20%;
    }
    select {
        padding-left: 10px!important;
        padding-right: 10px!important;
        background: white!important;
        @include media-breakpoint-up(md) {
            padding-left: inherit!important;
            padding-right: inherit!important;
        }
    }
}


/*Checkboxes*/

.gfield_checkbox li input[type=checkbox] {
    opacity: 0;
    position: absolute;
}

.gfield_checkbox li input[type=checkbox]+label {
    position: relative;
    overflow: hidden;
    padding-left: 35px;
    cursor: pointer;
    display: inline-block;
}

.gfield_checkbox li input[type=checkbox]+label:before,
.gfield_checkbox li input[type=checkbox]+label:after {
    content: '';
    position: absolute;
    left: 0;
    z-index: 1;
    -webkit-transition: .2s;
    transition: .2s;
}


/* after */

.gfield_checkbox li input[type=checkbox]:not(:checked)+label:after {
    width: 20px;
    height: 20px;
    border: 2px solid $tokio-green;
    border-radius: 4px;
    top: 0px;
}

.gfield_checkbox li input[type=checkbox]:checked+label:after {
    top: 0;
    width: 20px;
    height: 20px;
    border: 2px solid $tokio-green;
    border-radius: 4px;
    background-color: $tokio-green;
    z-index: 0;
}


/* before */

.gfield_checkbox li input[type=checkbox]:not(:checked)+label:before {
    width: 0;
    height: 0;
    border: 3px solid transparent;
    left: 6px;
    top: 10px;
    -webkit-transform: rotateZ(37deg);
    transform: rotateZ(37deg);
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
}

.gfield_checkbox li input[type=checkbox]:checked+label:before {
    top: 0;
    left: 1px;
    width: 8px;
    height: 13px;
    margin-top: 3px;
    border-top: 2px solid transparent;
    border-left: 2px solid transparent;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: rotateZ(37deg);
    transform: rotateZ(37deg);
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
}


/***********************/

.sf-checkbox,
.sf-promociones {
    padding-left: 0px;
    input[type=checkbox] {
        opacity: 0;
        position: absolute;
    }
    input[type=checkbox]+label {
        position: relative;
        overflow: hidden;
        padding-left: 35px;
        cursor: pointer;
        display: inline-block;
    }
    input[type=checkbox]+label:before,
    input[type=checkbox]+label:after {
        content: '';
        position: absolute;
        left: 0;
        z-index: 1;
        -webkit-transition: .2s;
        transition: .2s;
    }
    input[type=checkbox]:not(:checked)+label:after {
        width: 20px;
        height: 20px;
        border: 2px solid $tokio-green;
        border-radius: 4px;
        top: 0px;
    }
    input[type=checkbox]:checked+label:after {
        top: 0;
        width: 20px;
        height: 20px;
        border: 2px solid $tokio-green;
        border-radius: 4px;
        background-color: $tokio-green;
        z-index: 0;
    }
    /* before */
    input[type=checkbox]:not(:checked)+label:before {
        width: 0;
        height: 0;
        border: 3px solid transparent;
        left: 6px;
        top: 10px;
        -webkit-transform: rotateZ(37deg);
        transform: rotateZ(37deg);
        -webkit-transform-origin: 100% 100%;
        transform-origin: 100% 100%;
    }
    input[type=checkbox]:checked+label:before {
        top: 0;
        left: 1px;
        width: 8px;
        height: 13px;
        margin-top: 3px;
        border-top: 2px solid transparent;
        border-left: 2px solid transparent;
        border-right: 2px solid #fff;
        border-bottom: 2px solid #fff;
        -webkit-transform: rotateZ(37deg);
        transform: rotateZ(37deg);
        -webkit-transform-origin: 100% 100%;
        transform-origin: 100% 100%;
    }
}


/***********************/


/*FacetWP*/

.facetwp-facet {
    select,
    input {
        border: 0px;
        box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15);
        border-radius: 4px;
        padding: 20px 30px;
        height: 65px;
        -webkit-appearance: none;
        -moz-appearance: none;
        -o-appearance: none;
    }
}

.facetwp-icon:before {
    background-image: url('../img/search-green.svg')!important;
    background-repeat: no-repeat;
    width: 35px!important;
    background-size: 25px 25px!important;
}

.facetwp-type-dropdown,
.facetwp-type-monthly {
    &:after {
        content: url('../img/chevron-down-green.svg');
        position: absolute;
        top: 20px;
        right: 25px;
    }
}

.facetwp-input-wrap {
    width: 100%;
}

select.facetwp-monthly,
input.facetwp-search {
    display: block;
    width: 100%;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #555;
    background-color: #fff;
    background-clip: padding-box;
    &:focus {
        color: #555;
        background-color: #fff;
        border-color: $secondary;
        outline: 0;
    }
}

.facetwp-load-more {
    display: inline-block;
    font-weight: 700;
    color: #929292;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    color: #fff;
    background-color: $tokio-navyblue;
    border-color: $tokio-navyblue;
    padding: 1rem 1.5rem;
    border-radius: 4px;
}

.gfield_checkbox {
    margin-bottom: 15px;
    input,
    label {
        display: inline;
    }
}

.validation_error {
    display: none;
}

.gfield_description.validation_message {
    font-size: 14px;
    margin-bottom: 15px;
    bottom: 5px;
    position: relative;
}

#comments {
    display: none;
}


/**
	Remaquetación Kaito
**/

.bg-pink-arrow {
    background-image: url(''); //Queda fatal en mobile =S
    background-position: top;
    background-size: contain;
    @include media-breakpoint-up(lg) {
        background-image: url('../img/flecha_rosa_1.png');
        background-position: left;
        background-size: auto 100%;
    }
    background-repeat: no-repeat;
}

.bg-pink-arrow-v2 {
    background-image: url('../img/trazado_flecha_rosa_v2.svg');
    background-position: top left;
    background-size: 25%;
    background-repeat: no-repeat;
    @include media-breakpoint-up(md) {
        background-size: contain;
        background-position: left;
    }
}

.bg-pink-arrow-v3 {
    @include media-breakpoint-up(lg) {
        background-image: url('../img/pink-arrow-v3.svg');
        background-size: contain;
        background-position: initial;
        background-position-x: 90%;
        background-repeat: no-repeat;
    }
}

.bg-green-arrow-v3 {
    @include media-breakpoint-up(lg) {
        background-image: url('../img/flecha-verde-v3.svg');
        background-size: contain;
        background-position: initial;
        background-position-x: 90%;
        background-repeat: no-repeat;
    }
}

.bg-pink-circle-right {
    background-image: url('../img/pink-right-semi-circle.svg');
    background-position: right;
    background-size: contain;
    // background-size: 25%;
    background-repeat: no-repeat;
}

.bg-white-pico-bottom-left {
    position: relative;
    &:after {
        content: url('../img/white_pico.svg');
        position: absolute;
        bottom: -8px;
    }
}

.bg-pink-pico-top-left {
    position: relative;
    &:after {
        content: url('../img/pink_pico.png');
        position: absolute;
        top: -30px;
        left: 30px;
    }
}

.bg-navyblue-pico-top-left {
    position: relative;
    &:after {
        content: url('../img/pico-navyblue.png');
        position: absolute;
        top: -30px;
        left: 30px;
    }
}

.bg-blue-pico-top-left {
    position: relative;
    &:after {
        content: url('../img/blue_pico.png');
        position: absolute;
        top: -25px;
        left: 30px;
    }
}

.bg-green-pico-top-left {
    position: relative;
    &:after {
        content: url('../img/green_pico.png');
        position: absolute;
        top: -26px;
        left: 30px;
    }
}

.w-80 {
    width: 80% !important;
}

.w-90 {
    width: 90% !important;
}

#formacion-online {
    .metodologia-card {
        border-radius: 20px;
        transition: all 0.4s ease-out;
        .text-tokio-navyblue {
            transition: all 0.4s ease-out;
        }
        @include media-breakpoint-up(lg) {
            &:hover {
                box-shadow: 0px 4px 22px rgba(0, 0, 0, 0.30);
                .text-tokio-navyblue {
                    transition: all 0.4s ease-out;
                    color: $tokio-green!important;
                }
            }
        }
    }
}

.component-opiniones-alumnos {
    border-radius: 20px 130px 130px 130px;
}

.alwaysforward-banner {
    .alwaysforward-image {
        width: 100%;
    }
}

#speak-english,
.bg-tokios {
    background: url('../img/background_tokios.png');
    background-blend-mode: multiply;
    background-size: auto;
    @include media-breakpoint-up(lg) {
        background-repeat: no-repeat;
        background-size: cover;
    }
}

.formacion-card {
    border: 0;
    box-shadow: 0px 3px 7px 3px rgba(0, 0, 0, 0.15);
}

.posts-carousel {
    .carousel-cell {
        .post-content {
            .post-content-first {
                min-height: 150px;
            }
        }
    }
}

.breadcrumb.light {
    .breadcrumb-item {
        &:before {
            color: $tokio_grey;
        }
    }
}

.form-card-container {
    border-radius: 0px 0px 30px 30px;
    @include media-breakpoint-up(lg) {
        border-radius: 30px;
    }
}

.modal.form-contacto,
#trabaja-con-nosotros,
#formulario-contacto.contacto-contacto {
    .gfield_checkbox {
        label {
            color: $tokio_black;
            font-size: 16px;
        }
        a {
            color: $secondary;
        }
        li {
            list-style-type: none;
        }
        input[type=checkbox] {
            width: 16px !important;
            background: $tokio-green;
        }
        padding-left: 0;
    }
    input[type=submit] {
        background: $tokio-navyblue;
    }
    .form-contacto .gform_wrapper .gform_fields input[type=text]:focus,
    .form-contacto .gform_wrapper .gform_fields input[type=email]:focus,
    .form-contacto .gform_wrapper .gform_fields input[type=tel]:focus,
    .form-contacto .gform_wrapper .gform_fields input[type=number]:focus,
    .form-contacto .gform_wrapper .gform_fields select:focus,
    .form-contacto .gform_wrapper .gform_fields textarea:focus {
        border: 2px solid $tokio-green;
    }
    a {
        color: $tokio-green!important;
    }
}

.modal.form-contacto {
    input[type=submit] {
        background: $tokio-green;
    }
    label {
        color: $white!important;
        font-size: 16px;
    }
    select {
        background: white!important;
    }
    button.close {
        span {
            color: $tokio-green;
        }
    }
}

.facetwp-load-more {
    border-radius: 50rem !important;
    &:focus {
        outline: none;
    }
}

.parrafo-elementor-titilium {
    .elementor-text-editor,
    .elementor-tab-content {
        p {
            font-family: "Titillium Web"!important;
        }
    }
}

@include media-breakpoint-up(xl) {
    .text-lg-nowrap {
        white-space: nowrap !important;
    }
}

.carousel-metodologia-mobile {
    // height: 400px;
    width: 100%;
    .carousel-cell {
        width: 100%;
        /* full width */
        // height: 400px;
    }
}


/* REV3 - enero 2021 */

.bg-navyblue-arrow {
    background-image: url('../img/flecha_navyblue.svg'); //Queda fatal en mobile =S
    background-position: top;
    background-position-x: 95%;
    background-position-y: center;
    background-size: 1200px;
    // @include media-breakpoint-up(lg) {
    // 	background-image: url('../img/flecha_rosa_1.png');
    // 	background-position: left;
    // 	background-size: auto 100%;
    // }
    background-repeat: no-repeat;
}

.bg-navyblue-arrow-2 {
    // background-image: url('../img/flecha_navyblue.svg'); //Queda fatal en mobile =S
    // background-position: left;
    background-position-x: left;
    background-position-y: center;
    background-size: 50%;
    @include media-breakpoint-up(xl) {
        background-image: url('../img/flecha_navyblue.svg'); //Queda fatal en mobile =S
        background-size: contain;
    }
    background-repeat: no-repeat;
}

.home {
    .mouse-icon-scroll {
        path {
            fill: $tokio-navyblue;
        }
    }
}

.bg-green-arrow {
    background-image: url('../img/flecha_verde.svg');
    background-position: top left;
    background-size: 50%;
    background-repeat: no-repeat;
    @media(min-width: 1400px) {
        background-size: contain;
        background-position: left;
    }
    // @include media-breakpoint-up(xl) {
    // 	background-size: contain;
    // 	background-position: left;
    // }
}

.border.rounded-circle {
    border-width: 6px!important;
}

.letras-chinas-1 {
    position: relative;
    &:before {
        content: url('../img/letras_chinas.svg');
        // transform: scale(.6);
        position: absolute;
        left: 0;
        bottom: calc(100% + 10px);
        zoom: 0.6;
        @include media-breakpoint-up(lg) {
            zoom: initial;
            left: initial;
            right: -10px;
            transform: scale(1);
        }
    }
}

.letras-chinas-2 {
    position: relative;
    &:before {
        content: url('../img/letras_chinas_2.svg');
        // transform: scale(.6);
        position: absolute;
        left: 0;
        bottom: calc(100% + 10px);
        zoom: 0.6;
        @include media-breakpoint-up(lg) {
            zoom: initial;
            left: -60px;
            transform: scale(1);
        }
    }
}

.letras-chinas-4 {
    position: relative;
    &:before {
        content: url('../img/letras_chinas_4.svg');
        // transform: scale(.6);
        position: absolute;
        left: 0;
        bottom: calc(100% + 10px);
        zoom: 0.6;
        @include media-breakpoint-up(lg) {
            zoom: initial;
            left: initial;
            right: 60px;
            transform: scale(1);
        }
    }
}

.letras-chinas-5 {
    position: relative;
    &:before {
        content: url('../img/letras_chinas_5.svg');
        // transform: scale(.6);
        position: absolute;
        left: 0;
        bottom: calc(100% + 10px);
        zoom: 0.6;
        @include media-breakpoint-up(lg) {
            zoom: initial;
            left: -60px;
            transform: scale(1);
        }
    }
}

.mw-200 {
    max-width: 200px;
}

.mw-600 {
    max-width: 600px;
}

.mw-1500 {
    max-width: 1500px;
}

.p-a-c {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

#accordion-como-lo-hacemos {
    .card-title {
        color: $tokio-navyblue;
    }
}

.background-contacto-1 {
    @include media-breakpoint-up(lg) {
        position: relative;
        &:after {
            content: url('../img/en-que-podemos-ayudarte-circle.png');
            position: absolute;
            /* height: 100%; */
            /* width: 100%; */
            max-width: 360px;
            right: 0px;
            top: 50%;
            transform: translateY(-50%);
        }
        @include media-breakpoint-up(xl) {
            &:after {
                max-width: 500px;
            }
        }
    }
}

.background-contacto-2 {
    @include media-breakpoint-up(lg) {
        position: relative;
        &:after {
            content: url('../img/trabaja-con-nosotros-circle.png');
            position: absolute;
            /* height: 100%; */
            /* width: 100%; */
            max-width: 360px;
            left: 0px;
            top: 50%;
            transform: translateY(-50%);
        }
        @include media-breakpoint-up(xl) {
            &:after {
                max-width: 500px;
            }
        }
    }
}

.btn-outline-tokio-green {
    &:hover {
        color: white;
    }
}

.flickity-enabled.is-fade .flickity-slider>* {
    pointer-events: none;
    z-index: 0;
}

.flickity-enabled.is-fade .flickity-slider>.is-selected {
    pointer-events: auto;
    z-index: 1;
}

.flickity-enabled.is-fade {
    .carousel-cell.is-selected {
        z-index: 99999999;
    }
}

// .ginput_container.ginput_container_fileupload {
// 	position: relative;
// 	&:after {
// 		content: 'Seleccionar archivo';
//     position: absolute;
//     top: 16px;
//     left: 16px;
//     z-index: -1;
//     background: white;
//     border: 1px solid $tokio-green;
//     padding: 3px 8px;
// 	}
// }
#modal-paraempresas-experiencia,
#modal-paraempresas-practicas,
#modal-paraempresas-otro {
    .btn {
        background: $tokio-navyblue!important;
        color: white!important;
    }
}

@include media-breakpoint-down(sm) {
    html:not(.jivo-site-full-block) {
        body {
            >jdiv>jdiv>jdiv {
                transform: translateY(-45px);
                transition: all 0.5s ease-in-out!important;
                z-index: 9;
            }
        }
    }
}

.d_n,
.d-n {
    display: none;
}

.header-page {
    padding: 120px 0px;
    background-size: cover;
    background-position: center center;
    position: relative;
}

.header-page .background-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.header-page h2 {
    color: #fff;
    z-index: 2;
}

@media (max-width: 991.98px) {
    .header-page {
        padding: 90px;
    }
}

@media (max-width: 991.98px) {
    .header-page {
        padding: 30px;
    }
}